{% load render_bundle from webpack_loader %}
{% render_bundle 'hunts_stats_progress' 'js' attrs='defer' %}

Horizontal axis:
<div class="small btn-group btn-group-toggle" data-toggle="buttons">
	<input type="radio"
				 class="btn-check"
				 name="progress-x-is-{{ size_category.id }}"
				 id="progress-x-is-time-{{ size_category.id }}"
				 autocomplete="off"
				 checked>
	<label class="btn btn-primary" for="progress-x-is-time">Time</label>
	<input type="radio"
				 class="btn-check"
				 name="progress-x-is-{{ size_category.id }}"
				 id="progress-x-is-progress-{{ size_category.id }}"
				 autocomplete="off">
	<label class="btn btn-primary" for="progress-x-is-progress">Progress</label>
</div>
{% for episode in episode_progress %}
<div id="progress-data-container-episode-{{ episode.id }}-size-{{ size_category.id }}" class="progress-data-container">
	{{ episode.data | json_script }}
</div>
<h6>{{ episode.name }}</h6>
<button id="show-all-{{ episode.id }}-{{ size_category.id }}" class="btn-outline-primary btn-sm">Show All Teams</button>
<button id="hide-all-{{ episode.id }}-{{ size_category.id }}" class="btn-outline-secondary btn-sm">Hide All Teams</button>
<div class="progress-legend" id="progress-legend-{{ episode.id }}-{{ size_category.id }}"></div>
<div class="chart-container">
	<canvas class="progress-graph" data-episode="{{ episode.id }}" data-size-category="{{ size_category.id }}"></canvas>
</div>
<div class="chart-controls">
	<p class="text-muted">Zoom with mouse wheel/pinch/drag. Hold <tt>ctrl</tt> to pan</p>
	<button id="reset-progress-zoom-{{ episode.id }}-{{ size_category.id }}" class="btn-outline-secondary btn-sm">Reset Zoom</button>
</div>
{% endfor %}
